import React from "react";
import { Link } from "react-router-dom";
import { getHistory } from '@brojs/cli'
import { getNavigationsValue } from "@brojs/cli";

import { URLs } from "../../__data__/urls";

const history = getHistory();

export const ProfilePage = () => {
  const handletoNav2Click = (event) => {
    event.preventDefault()
    history.push(getNavigationsValue('nav2.main'));
  }

  return (
    <div>
      <h1>profile page</h1>
      <Link to={URLs.about.getUrl()}>go to about page</Link>

      <div>
        <a onClick={handletoNav2Click} href={getNavigationsValue('nav2.main')}>edit profile</a>
      </div>
    </div>
  );
};
